# -*- coding: utf-8 -*-
"""Large list of metres, input by Dr. Dhaval Patel.
   Based on Marcis Gasuns scraping the site by Anand Mishra at
   http://sanskrit.sai.uni-heidelberg.de/Chanda/HTML/
"""

from __future__ import absolute_import, division, print_function, unicode_literals

dhaval_vrtta_data = [
    ('anīcakam', 'LGLLLLLLLLLG'),
    ('līlā', 'LLLLGGLGL'),
    ('pratibhādarśanam', 'LLGGLLGGLLLLGG'),
    ('karṇapālikā', 'GLGLGGLGLG'),
    ('utkaṭapaṭṭikā', 'GGLLGLGLGLGLLLLLLGGLGGLG'),
    ('sindhurayā', 'GLLGGG'),
    ('vyāyogavatī', 'GGLLGLLLLLLG'),
    ('chidram', 'GGLLL'),
    ('parimalam', 'LLLLGGLLLLGLLGG'),
    # ('virāṭ', 'GGGLLGLGLG'),  # In other list as śuddhavirāṭ
    ('vikuṇṭhakaṇṭhaḥ', 'GLGLGLGLGLGLGLGLGLGLGLGLGG'),
    ('vinandinī', 'LLGLLGLLGLLGLG'),
    ('rāmābaddham', 'GGGGLLLLGGLLGGLLLLGGLLG'),
    # ('jaladharamālā', 'GGGGLLLLGGGG'),  # in other list
    ('abhīkam', 'LGGLGGG'),
    ('dūrāvalokaḥ', 'GGGGLGGLLLLLLGGGLGGLG'),
    ('purohitā', 'LGLGLGG'),
    ('prothā', 'GGGLLL'),
    ('nakhapadā', 'LLLGLGGL'),
    ('pārāvārāntastham', 'GGGGGGGGGLLGGLLLLGGGLLG'),
    ('vaḍiśabhedinī', 'LLLGLLLGLG'),
    ('karmaṭhaḥ', 'GLLGLLGLLGLLG'),
    ('vigāhitageham', 'LLLLLLLLLLGGGGGLLLLGLLGG'),
    ('kamalaparam', 'LLLLGGLLLLGGGLLG'),
    ('sācīkṛtavadanā', ['LLLLGGGLLGG', 'GGLLLLGLLLLG']),
    ('vaṃśottaṃsā', 'GGLLGGLLGGGGGG'),
    ('karṇāṭakam', 'GGLGLLLGLGLLLGLGLLLLLLLLLG'),
    ('maru', 'LGLGLLLL'),
    # ('ardharutam', ['GLLLLLLGGLLLL', 'GLLLLLLGLLGLL']), # Ends in laghu
    ('acalapaṅktiḥ', 'GLGLLLLLGG'),
    ('vṛndā', 'GGLGLGL'),
    ('lalitālabālam', 'LLGLGLLGGGG'),
    ('madhumallī', 'LLGGLLGLG'),
    ('pratīpavallī', 'LLGLLGGLLGLGLGGG'),
    ('nagamahitā', 'LLGGLLGLLLLG'),
    ('bhājanaśīlā', 'GGLLGGGLGGLGG'),
    ('prabhāvatī', 'GGLGLLLLGLGLG'),
    # # Covered by upajāti
    # ('ārdrā', ['LGLGGLLGLGG', 'GGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('viṣāṇāśritam', 'LGGLLLGLGGLLLGLGGLLLGLGGLG'),
    ('ardhakusumitā', 'GLLLLGLLLLLLG'),
    ('bhāsitasaraṇiḥ', 'GLLLLLLLLLLG'),
    ('ammethī', 'GGGGLGL'),
    ('citrapadā', 'GLLGLLGG'),
    ('śālabhañjikā', ['LLGLLLGLGLG', 'GLLGGLGLGLG']),
    ('abhrabhramaśīlā', 'GGLLGGLLGGLLG'),
    ('haraṇi', 'LLL'),
    ('prapātāvatāram', 'LGGLGGGLGLG'),
    ('lolatanu', 'LLGGLLL'),
    ('aṭṭāsinī', 'GGLGLLGLGLLGL'),
    ('darpamālā', 'LGGLGGGLGGLGG'),
    ('navasarā', 'GGGLLLG'),
    ('bhūriśikhā', 'LLGLLGGGGGGLLG'),
    ('dhavalakarī', 'LLLLLLGLLGGG'),
    ('atijani', 'GGGGLLLL'),
    ('śaralīḍhā', 'LLLLGLLGG'),
    ('mārdaṅgī1', ['LLGLLLLLGLLLGG', 'GGGLLLLGLLLLLLLLGG']),  # different below
    ('proñchitā', 'LLGGLGL'),
    ('kāhī', 'LLGGGLL'),
    ('dvimilā', 'LLGLLGLLGLLGLLGLLGLLGLLG'),
    ('aparaprīṇitā', ['LLLLLLLLGGGLGGLG', 'LLLLLLGGLGGLG']),
    ('ḍhuṇḍhi', 'LLGGGL'),
    ('pramāthinī', ['LLLLGLLGLGLGG', 'LLGGLLGLGLGG']),
    ('taralanayanam', 'LLLLLLLLLLLL'),
    ('bhramarāvalikā', 'LLGLLGLLGLLGLLG'),
    ('mayūrī', 'LGGGLGL'),
    ('utpalamālikā', 'GLLGLGLLLGLLGLLGLGLG'),
    ('madhupāli', 'LLGLLGLLGLLGLL'),
    ('vipulapālikā', 'GLGLGLLLLGLG'),
    ('ardhakalā', 'LLGLLGLLG'),
    ('modakam', 'GLLGLLGLLGLL'),
    ('prasṛmaramarālikā', 'LLLLLGLGLGLG'),
    ('viralā', 'LLGLLLLGLGLG'),
    ('bālavikrīḍitam', 'GLLLLGLGLLLGLGGLG'),
    ('anāsavavāsitā', ['LLGGLLGLGLGLLLGG', 'LLLGLLLGLGLGLGG']),
    ('ṛju', 'LGLL'),
    ('karālī', 'GGLGGLGG'),
    ('meduradantam', 'GLLGLLGLLGLLGLLGLLGLLGLL'),
    ('kālambī', 'GGGLGLL'),
    ('gotragarīyaḥ', 'GLLGGLLLLGGLLGGLLLLGLLG'),
    ('puṭaḥ', 'LLLLLLGGGLGG'),
    ('balorjitā', 'LLLLGLGLGLGG'),
    ('doṣā', 'GGLLGLL'),
    ('anāsādi', 'GLGLGGL'),
    ('kośi', 'GLLLLLL'),
    ('vārddhi', 'LGLGL'),
    ('tuṅgā', 'LLLLLLGG'),
    ('kalpalatāpatākinī', 'GGGLLLLLLLLGLLGLGLG'),
    ('campakamālā', 'GLLGGGLLGG'),
    ('kurarīrutā', 'LLLLGLGLLLGLLG'),
    ('śiśumukhī', ['LLLGLLLGLLGLG', 'LLLGLLLLGLGLG']),
    ('atimohā', 'LLGGLLGG'),
    ('gaganodgatā', 'GLGLLLGLGLLGLG'),
    ('ākatanu', 'LGLGGLLL'),
    ('pravāhikā', 'LGLGGLGGLGGLG'),
    ('arajaskā', 'LGLLGG'),
    ('unnālam', 'GGLLLLLLGG'),
    ('bahulābhram', 'LLGGLLLLGGLLGGG'),
    ('vikatthanam', 'LGLLGLLLGLLG'),
    ('karṇinī', ['GLGLLLGLLGG', 'GLGLLLGLGLG']),
    ('vaidhātrī', ['LGLGGLLGLGLG', 'LGLGGLLGLGLG',
                   'GGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('vaiśvadevī', 'GGGGGGLGGLGG'),
    ('śaṅkhadyuti', 'LLGGLL'),
    ('pramodapariṇītā', ['LLLLLLGLGLGLGG', 'LLLLGLLGLGLLLGG']),
    ('kuhī', 'LGLLLG'),
    ('niṣadham', 'GLLGLGLLG'),
    ('sopadhi', 'GLGGLL'),
    ('saṃpātaśīlā', ['GGLGGGGLGG', 'LLGLLLGGGLGG']),
    ('varīyaḥ', 'LGGLL'),
    ('kīralekhā', 'LLLGLGLLLGLGG'),
    ('prabhāsitā', ['GGGLLGLGLG', 'LLGLLGLGLG']),
    ('samit', 'LLLLGGLLLLG'),
    ('kīlālam', 'GLLGGGGGLL'),
    ('pravaralalitam', 'LGGGGGLLLLLGGLGG'),
    ('vīraṇamālā', 'GLLGGLLLLLLG'),
    ('anindagurvinduḥ', 'LLLLGGGGLGLGGG'),
    ('varivaśitā', 'LLGLLGLLLLLLG'),
    ('vinidrasindhuraḥ', 'GLGGLGGLGGLGLGLGLGLGLGLGLG'),
    ('lalitā', 'GGLGLLLGLGLG'),
    ('phulladāma', 'GGGGGLLLLLLGGLGGLGG'),
    ('aprītā', 'LLLGGGLL'),
    ('dhaureyam', 'GLLGLLLLGLLGLLLLLLLLGGGG'),
    ('mantrikā', 'GLGGGL'),
    ('kalpāhārī', 'LLLLLLLLLLLLGGGG'),
    ('bhujagahāriṇī', 'LLLGLGLLGLG'),
    ('śiprā', 'GGGGGGG'),
    ('hindīram', 'GGGGGLG'),
    ('śukavanitā', 'LLGLLGGLLGLLLLLLG'),
    ('māyāvinī', 'LLGGGLG'),
    # ('mattakokilam', 'GLGLLGLGLLGLGLLGLG'), # in curated
    ('puṣpaśakaṭikā', 'GLLLLGGGLGGLGG'),
    ('kuberakaṭikā', 'LLGLLGLGLLLGG'),
    ('narāvaliḥ', 'GGLGLLLLLLLLG'),
    ('vaṃśapatrapatitam', 'GLLGLGLLLGLLLLLLG'),
    ('narī', 'LGGLG'),
    ('śarakāṇḍaprakāṇḍam', 'LLGGLGLLLGLGGLGGLGGLG'),
    ('nandathu', 'GLLLGGL'),
    ('karṇalatā', 'LLGGLLGLLLLGLLG'),
    ('kanakamañjarī', 'LLLGLGGLGLG'),
    ('ṛcā', 'LGLLGGL'),
    ('mattamayūraḥ', 'GGGGGLLGGLLGG'),
    ('guṇasārikā', 'LGLLGLLGLLGLG'),
    ('saurabhaśobhāsāraḥ', 'GLLGGGGGLLLLLLGLLLLG'),
    ('kaṭhinī', 'LLLLLGLGLGGLG'),
    ('ūhinī', 'GLGLLGLGGLGLLGL'),
    # # Covered by upajāti
    # ('māyā', ['LGLGGLLGLGG', 'LGLGGLLGLGG', 'LGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('vātormī', 'GGGGLLGGLGG'),
    ('nīranidhiḥ', 'LLLGGLLLLL'),
    ('madhu', 'LL'),
    ('sundarī', ['LLGGLLGLGLG', 'LLGLLGLGLG']),
    ('samānikā', 'GLGLGLGL'),
    ('gṛhiṇī', 'LLGGGGL'),
    ('vandāruḥ', 'GGGLLGGLL'),
    ('ardhāntarālāpi', 'GGLGGLGGLGGLGGLGGL'),
    ('kamalākarā', ['GLLGLLGLLGG', 'GLLLLLLGLLGG']),
    ('bhujaṅgī', 'LGGLGGLGGLG'),
    ('bhastrānistaraṇam', 'GGGLLGGLLLLLLGLGLGLLGG'),
    ('indravimānam', 'GLLGGLLLLGGGGLLLLLLLLGG'),
    ('drutapadam', 'LLLGLLLGLLGG'),
    # ('mandākrāntā', 'GGGGLLLLLGGLGGLGG'), # in curated
    ('cakitā', 'GLLLLGGGGGGLLLLG'),
    ('suvanamālikā', 'GGLLLGLGLLLG'),
    ('vajrālī', 'GGLLGGGGGGGGGGG'),
    ('kalanā', ['LLGLGLLLGLLGG', 'LLGLGLLLGLGLG']),
    ('bhāsamānabimbam', 'GLGLGLGLLLLGLGLGLLLLGLGG'),
    ('ayanapatākā', 'GGGLLLGGG'),
    ('haripadam', 'LLLLLLLG'),
    ('candravartma', 'GLGLLLGLLLLG'),
    ('bhasalamadam', 'GLLLLGLGLGGLG'),
    ('mihirā', 'LLLLLGLGGLGG'),
    ('hīralambi', 'GLLGLLGLGL'),
    # ('pṛthvī', 'LGLLLGLGLLLGLGGLG'), # in curated
    ('dolā', 'LLGG'),
    ('vidalā', 'LLLLLGGGLGLLG'),
    ('mukulitakalikāvalī', 'GLGLLLLLLGLG'),
    ('atiprativinītā', ['LLGGLLGLGLLLGG', 'LLLLGGLGLGLGG']),
    ('lalitapatākā', 'LLLLLGLGGLGGGG'),
    ('tilakā', 'LLGLLG'),
    # ('cūḍāpīḍam', 'GGGGLLLLLLGGGG'), # in curated?
    ('drutamukham', 'LLLLLLLLLLLLGGGGLGLGGG'),
    ('kulacāri', 'LGLGLLGL'),
    ('varhāturā', 'GGLGLLGGLG'),
    ('sākṣī', 'LLGLLGLGLGGG'),
    ('manoramā', 'LLLGLGLGLG'),
    ('rodhakam', 'LLLGLLGLLGG'),
    ('hāṭakaśāli', 'GGLLGL'),
    ('dantālikā', 'GGLGGGGLGGGGLGGL'),
    # ('mañjubhāṣiṇī', 'LLGLGLLLGLGLG'), # in curated
    ('jāhamukhī', 'GLLGLLGLLGLLGG'),
    ('nemadhāri', 'LGLGLLGLGL'),
    ('madanajavanikā', 'LLLLGGLLLLLLG'),
    ('niravadhigatiḥ', 'LLLLLGGLLLG'),
    ('kṛtakatikā', 'LLLLLLLLLLLG'),
    ('ṭaṅkaṇam', 'GLGLLLGLGLLLGLGLLLG'),
    ('dhūmrālī', 'LGGLGGGGGG'),
    ('maṇḍalam', 'GLLLG'),
    ('sainikam', 'LGLGLGLGLGL'),
    ('madanamālikā', 'LLLGLGLLLGLGGLG'),
    ('vidhuravirahitā', 'LLGGGLLGGGLLLLLLG'),
    ('upadārikā', 'GLGLGLLLGLG'),
    ('badhirā', 'LLGGLLGLGLGG'),
    ('hariluptā', ['LLGLLGLLGLG', 'LLGGLLGLLGLG']),
    ('viyadvāṇī1', ['LLGGLLGLGLGG', 'GGGLLGLGLGGG']),  # different below
    # ('aparavaktram', ['LLLLLLGLGLG', 'LLLLGLLGLGLG']), # Aparavaktrā?
    ('avahitrā', ['GLLGLLGLLGG', 'LLGLLGLLGLL']),
    ('gaganagatikā', 'GLGLLGLGLLLLLG'),
    ('amṛtagatiḥ', 'LLLLGLLLLG'),
    ('tantrī', 'GGGLGG'),
    ('kalahetikā', 'LLGLGLLGLGLLLG'),
    ('valabhī', 'GLLGLLGLGLGG'),
    ('ketumatī', ['LLGLGLLLGG', 'GLLGLGLLLGG']),
    ('kinnaṭakaḥ', ['GGLLGLLGLLG', 'LLGLLGLLGLLG']),
    ('makaramukhī', 'LLLLLLLLLG'),
    ('mukhalā', 'LLLLGGLLG'),
    ('atiśāyinī', 'LLGLLGLGLGLLLGLGG'),
    ('karamālā', 'LLGGLLGGLLGG'),
    ('mahodhikā', 'LGLGLLG'),
    ('bhrūḥ', 'LGGGL'),
    ('upadhāyyā', 'GLLLLLLLGG'),
    ('balākā', 'LGG'),
    ('vilambalalitam', 'LGLLLGLGLLLGLGLLLGLGLLG'),
    ('virudarutam', 'GGGGLLLLGGLLGGLLG'),
    ('vāsantī', 'GGGGGLLLLGGGGG'),
    ('viraloddhatā', 'GGGLLGLGLLLG'),
    ('jatu', 'LLGLL'),
    ('naṭakaḥ', ['LLGLLGLLGLLG', 'GGLLGLLGLLG']),
    ('śalabhalolā', 'LGGLGGLGLLLGG'),
    ('ṣaṭpaderitam', 'LLLGLGLLLGLGLLLGLG'),
    ('alakālikā', 'GGLGLLGLGLLGLG'),
    ('rūpāmālī', 'GGGGGGGGG'),
    ('vimāninī1', ['GGGLLLLGLGLG', 'LLGGLLGLGLG']),  # different below
    ('pathikāntā', 'GLLLLLLGLLGG'),
    ('śramitaśikhaṇḍī', 'GLLLLGGLLGG'),
    ('pramodatilakā', 'GGLGLLLGLLGLG'),
    ('karīritā', ['LLGGLLLGLGLG', 'LLGLLGLGLG']),
    ('śāradacandraḥ', 'GGLLGGLLGGLLGG'),
    ('svarṇābharaṇam', 'LLGLLGLLGLLGLLLLGGGLLG'),
    ('somaśruti', 'LGGGLL'),
    ('kroḍakrīḍam', 'GGGGLLLLLLLLGLGGLG'),
    ('naraśikhī', 'LLLGLLLGLLLGLLLG'),
    ('nīlagirikā', 'GLLLGLLLGLLG'),
    ('amitanagānikā', 'GLLLLGLGLLGLG'),
    # ('upacitrā', ['LLGLLGLLGLL', 'GLLGLLGLLGG']), #different in vrttaratnakara
    ('bhārākrāntā', 'GGGGLLLLLGLGLLGLG'),
    ('kupyam', 'GLLLLGLGLG'),
    ('ahīnatālī', ['GGGLLLLGLGLG', 'LLGGLLLLGLGLGLGG']),
    ('vasanaviśālā', 'LLLLLLLGGGGG'),
    # ('kalahaṃsaḥ', 'LLGLGLLLGLLGG'), # nandinī in vrttaratnakara
    ('pṛṣadvatī', 'GGLGLGGLGLGLG'),
    ('nirvādhikā', 'GGLGLLG'),
    ('anavīrā', 'LLGGLLLLG'),
    ('vipulāyitam', 'GGGLLLLGLGLLLLLLGLGLGLG'),
    ('ativāsitā', 'LLGLGGGLGLLG'),
    ('kṛtayuḥ', 'LLLLLLLL'),
    ('arditapādam', 'GLGLLLLGLLGG'),
    ('veśi', 'GLLLLLLL'),
    ('rañjakam', 'GLLLLGLLG'),
    ('tāvuri', 'GGLL'),
    ('digīśaḥ', 'LLGLGLGG'),
    ('vāṇinī', 'LLLLGLGLLLGLGLGG'),
    ('kiṇapā', 'GLLLGGG'),
    ('viśakalitā', 'GGGGLLLLGGLLLLG'),
    ('sukarṇapūram', 'LLLGLGLGLGLGG'),
    ('ānanamūlam', 'GLLGGLLGGLLGG'),
    ('alakā', 'LLLLLLLLLLLLLLLLLLLLLLLLG'),
    ('kurarikā', 'LLLGLGGG'),
    ('aśokānokaham', 'GGGGLLLLLGLLLLLGLGGGLGGLGG'),
    ('yamanakam', 'LLGLLLG'),
    ('īdṛṣam', 'GLGLGLGLGLGLGLGLGLGL'),
    ('ratākhyānakī', ['GGLGGLLGLGLG', 'LGLGGLLGLGLG',
                      'GGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('udarkaracitā', 'LLGLLGLGLLLG'),
    ('alolā', 'GGGLLGGGGGLLGG'),
    ('parilekhaḥ', 'LGLLGLLGLLGG'),
    ('javanaśālinī', 'LLGLLGLGGLG'),
    ('vasantahāsaḥ', 'GGGGLLLLGLGG'),
    ('karmadā', 'GLGLLG'),
    ('sīdhuḥ', 'LLGGLLGLGLG'),
    ('cayanam', 'LGGLLLLL'),
    ('hariṇīplutā', ['LLLGLLGLLGLG', 'LLGLLGLLGLG']),  # opposite below
    ('gallakam', 'LLLLLLLGGLG'),
    ('viṣṭambhaḥ', 'LLGLLGLLGGG'),
    ('prabhadrakam', 'LLLLGLGLLLGLGLG'),
    ('śambūkaḥ', 'LLGGGGG'),
    ('vāriśālā', 'LGLGGLGG'),
    ('anu', 'LLLLGGL'),
    ('arbhakamālā', 'GLLGGLLLLGGLLLLGGGLLGG'),
    ('śallakaplutam', 'LLGGLGLG'),
    ('asurāḍhyā', ['GGGLLGLGLGG', 'LLLLLLGLGLGG']),
    ('rucivarṇā', 'LGLLLGLGLLLGG'),
    ('antarvanitā', 'GGGLLGGGGGG'),
    ('kalamatallikā', 'LLLGLGLLLGLGLLLGLGGLG'),
    ('hali', 'LLLLL'),
    ('bhujaṅgasaṅgatā', 'LLGLGLGLG'),
    ('vāridhiyānam', 'GLLGGLLGL'),
    ('praharaṇakalikā', 'LLLLLLGLLLLLLG'),
    ('vimukhī', ['LLLLLLGLLLLGG', 'LLLLLLLLGLLGG']),
    ('haṭhinī', 'GGGLGLLG'),
    ('maulisrak', 'GGGLLGL'),
    ('kalādharaḥ', 'GLGGLGLGLGLGLG'),
    ('vaṃśalaḥ', 'GLLGGLLGLLGLLGLLG'),
    ('pāṃśu', 'LLLGL'),
    ('sandhyā', 'GGLLLLGG'),
    ('sāmapadā', 'GGGLLGLLLLG'),
    ('amaracamarī', 'LLLLLLLLLLLLLLLLLLLLLLG'),
    ('halamukhī', 'GLGLLLLLG'),
    ('pāli', 'LLGGL'),
    ('saṃśrayaśrīḥ', 'GGLGGLGGLGL'),
    ('lalitam1', 'LLLLLLGGGGLG'),  # different in VR, see lalitam below
    ('paṅkajadhāriṇī', 'GGGLLGLGLLLGG'),
    ('padmāvarttaḥ', 'GGGGGGGGGG'),
    ('paridhārā', 'LLGGLGGG'),
    ('pramāṇikā', 'LGLGLGLG'),
    ('ulapā', 'GLLLLLG'),
    ('pārṣatasaraṇam', 'GLLLLLLGGGGGLLLLLLLLLLGG'),
    ('upavali', 'LLLLLL'),
    ('ākekaram', 'GGLLLLLLG'),
    ('viṭ', 'GLLGL'),
    ('jananidhivelā', 'LLLLGGLLGGGGLLG'),
    ('candrāpīḍam', 'GGGGGGGGGGGGGGGG'),
    # ('adritanayā', 'LLLLGLGLLLGLGLLLGLGLLLG'), # aśvalalita in vrttaratnakara
    ('amarāvatī', ['LGLGLGLGLGLGG', 'GLGLGLGLGLGL']),
    ('kalāpadīpakam', 'GLGLGLGLGLGLGLGLGLG'),
    ('vīravimānam', 'GLLGLLGLLGLLGLLGLLGG'),
    # # Covered by upajāti
    # ('viparītākhyānakī', ['LGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('kṣaram', 'LGLLLLLL'),
    ('aruntudaḥ', ['LLGLLGLGLG', 'LLLLGLLGLGLG']),
    ('śaśikarī', 'LLGLLLGGL'),
    ('culakam', 'LLLLLLLLL'),
    ('kṛkapādi', 'LLLGLGLLGL'),
    ('kṣupam', 'LGLLL'),
    ('sammadamālikā', 'LLLLLGLLGLG'),
    ('padmāvatī', ['LLGLGLLLGLLGG', 'GGLGLLLGLLGG']),
    ('sari', 'LLLLLG'),
    ('nīrohā', 'LLGGLGGGGG'),
    ('valivadanam', 'LLLLGGGGGGLLLLGG'),
    ('kumārī', ['GGLGGLLGLGLG', 'LGLGGLLGLGLG',
                'LGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('garudavāritā', 'LGLLLGLGLLGLG'),
    ('drutamadhyā', ['GLLGLLGLLGG', 'LLLLGLLGLLGG']),
    ('jīmūtadhvānam', 'GGGGGGGGGGGGGGGGGGGGGGGGGG'),
    ('kaladhautapadam', 'LLGLLGLLGLLGLLGG'),
    ('ciraruciḥ', 'LGGLLLG'),
    ('satketuḥ', 'GGGLLLLLLLGLGLGLGG'),
    ('aniloddhatamukhī', 'LLLGLGGLGLLLG'),
    # ('sitastavakaḥ', 'GGLGLLLGGLGLLLGGLGLLLG'), # Aśvadhāṭī in curated
    ('ṛtam', 'LLLLLLLLGL'),
    ('agarim', 'LLLLLLLLLLL'),
    # ('nayamālinī', 'LLLLGLGLLLGG'), # navamālinī in vrttaratnakara
    ('mālyopastham', 'LLLLLLLLLLGGGGGG'),
    ('asudhā', ['LLGGLLGLGLG', 'GGGLLGLGLG']),
    ('kalaham', 'LLGGLLGGG'),
    ('priyā', 'LLGLG'),
    ('pikālikā', 'GLLLGLLGLGLG'),
    ('dvāravahā', 'GLGGGLLGGG'),
    ('vidyā', 'GGLLGLLG'),
    ('līḍhālarkaḥ', 'GGGGGLLLGLGG'),
    ('viśvavirāṭ', 'GGGLLGLGLGG'),
    ('māṇḍavakam', 'LLLGGLLG'),
    ('karmiṣṭhā', 'GLLLLGGGG'),
    ('suvihitā', 'LGGLLGLGLLLG'),
    ('varddhamānam', ['GGGLLGLGLGLLGG', 'LLGLLLLGLGLGG',
                      'LLLLLLLLGLLLLLLLLG', 'LLLLLLLLLLGLLGG']),
    ('prākārabandhaḥ', 'GGLGGLGGLGG'),
    ('śīrśavirahitā', 'GGLLGGGLLGLLLLG'),
    ('ūpikam', 'LGGGGLG'),
    ('kaṅkaṇakvāṇaḥ', 'GLGGLGGLGGLGGLGGLGGLGG'),
    ('ānatā', 'GGGLLLGLGGLGG'),
    ('titikṣā', 'GLLLLLLGGLLLLLLGG'),
    ('manahāsā', ['LGLGGLLGLGLG', 'GGLGGLLGLGLG',
                  'GGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('kalali', 'LLLGG'),
    ('tumulakam', 'LLLLLLLLLLLLLLLLLL'),
    ('upacitaratikā', 'GLLLLLLGLLGLG'),
    ('vṛtumukhī', 'LLLGLLGG'),
    ('udaraśri', 'LLGLLGGGG'),
    ('sugandhiḥ', 'LLGLLLLGG'),
    ('taravārikā', 'LLLLLGLLGLGLLGLG'),
    ('mṛgī', 'GLG'),
    ('anaṅgapadam', ['GLLGLLGLLGLLG', 'LLGLLGLLGLLGG']),
    ('sāraṅgaḥ', 'GGLGGLGGLGGL'),
    ('śaṅkhacūḍā', ['GGLGGLLGLGLG', 'GGLGGLLGLGLG',
                    'LGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('khelāḍhyam', 'GGGLLGGGG'),
    ('kṛtamaṇitā', 'GLLLLLLLLG'),
    ('harikāntā', 'LLGGLLGGLLG'),
    ('anilohā', 'LLGGLLGGLLGGLLGG'),
    # opposite above, hariṇaplutā in vrttaratnakara
    # ('hariṇīplutā', ['LLGLLGLLGLG', 'LLLGLLGLLGLG']),
    ('sārāvanadā', 'GGLLGLGG'),
    ('śarahatiḥ', 'LLLLLLLLLLLLLLL'),
    ('prabodhaphalitā', 'GLGLLLGLGLLLG'),
    ('vāsaki', 'LLLLGLL'),
    ('plavaṅgamaḥ', 'GLLGLLGGLGLLGLG'),
    # ('narācaḥ', 'LGLGLGLGLGLGLGLG'), # definitely wrong, same as Pañcacāmaram
    ('mālatī', 'LLLLGLLGLGLG'),
    ('kandaḥ', 'LGGLGGLGGLGGL'),
    ('puraṭi', 'LLLLGLG'),
    ('anṛtanarma', 'LLGGLLGL'),
    ('aśokalokaḥ', 'GGGGGGGGGGGGGGLGLGGGG'),
    ('mahimāvasāyi', 'LLGGLLGLGL'),
    ('akusumacaram', ['GLLLLLLGLLGG', 'GLLGLLGLLGG']),
    ('bhīmāvarttaḥ', 'GGGGLLLLLLLLLLGG'),
    ('karapallavodgatā', 'LGGLGGLLGLGLG'),
    ('pārāntacārī', 'LGGGGLGG'),
    ('cāru', 'GL'),
    ('karṇiśaraḥ', 'GLLGLLGLLGGLLG'),
    ('paripuṅkhitā', 'GLGLLGLGLGLG'),
    ('madhumatī', 'LLLLLLG'),
    ('citrā', 'GGGGGGGGGLGGLGG'),
    ('vipinatilakam', 'LLLLLGLLLGLGGLG'),
    ('jagatsamānikā', 'LLGLLGLGLGLGG'),
    ('induvaṃśā', 'GGLGGLLGLGLG'),
    ('kalpakāntā', 'GLGGGLGGLGGLGG'),
    ('nirmadhuvāri', ['GGLGLLGLGLLGL', 'LLGLGLLLGLGLG']),
    ('jarā', 'LGLLGLLGLG'),
    ('bhinnapadam', 'GLLGLLLGLG'),
    ('varṇabalākā', 'LLGLLGGLLGG'),
    ('sindhusauvīram', 'GLGGLGGLGGLGGLGGLG'),
    ('paravaktram', ['LLLLGLLGLGLG', 'LLLLLLGLGLG']),
    ('nāgāri', 'LLGLGGGL'),
    ('śiśirā', ['GGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('saurabhavarddhinī', 'LLLLGGLLGLG'),
    ('maṅkuram', 'GGGLGL'),
    ('ketuḥ', ['GLLGLGLLLGG', 'LLGLGLLLGG']),
    ('prasṛmarakarā', 'LLLLLGLGGLG'),
    ('kaṭhodgatā', 'LLGLGLG'),
    ('ahari', 'LLLLLGL'),
    ('ujjhitakadanam', 'GLLLLLLGLLGLLGLLLLLLLLLLGG'),
    ('kuraṅgāvatāraḥ', 'LGGLGGLLGLLG'),
    ('niṣkalakaṇṭhī', 'GLLGGGLLGGGLLGGLLGGLLG'),
    ('prativinītā', ['LLLLGGLGLGLGG', 'LLGGLLGLGLLLGG']),
    ('krīḍacandram', 'LGGLGGLGGLGGLGGLGG'),
    ('avācīkṛtavadanā', ['GGLLLLGLLLLG', 'LLLLGGGLLGG']),
    ('arāli', 'LGLLGLLG'),
    ('kiṣku', 'GGLGGLGL'),
    ('kalavallivihaṅgaḥ', 'LGLGGLLGGLGG'),
    ('gopāvedī', 'LLLGGGGG'),
    ('kirmīram', 'GGGGLGG'),
    ('viśalyam', 'LGGLGGLGG'),
    ('śambaram', 'LLLGLLGLLGLGLLLGLLGLLGLG'),
    ('varaśaśi', 'GLGLLLL'),
    ('kalilā', 'LLGLLGLG'),
    ('avandhyopacāraḥ', 'LGGLGGLGGLGGLGGLGGLG'),
    ('kākalīkalakokilaḥ', 'GLGLLGLGLLGLGLLGLGLLGLGLLG'),
    ('paṅkāvaliḥ', 'GLLLLLLGGLLLL'),
    ('vaiyālī', ['LLLLLLGLGLG', 'GGGLLGLGLG']),
    ('ibhabhrāntā', 'GGGLGGG'),
    # ('sragviṇī', 'GLGGLGGLGGLG'), # curated
    # ('drutavilambitam', 'LLLGLLGLLGLG'), # curated
    ('mithunamālī', 'LLLLLLGGGGGG'),
    ('upakārikā', 'LLGLGLLGLGLLGL'),
    ('kusumitalatāvellitā', 'GGGGGLLLLLGGLGGLGG'),
    ('upasarasī', 'LLGLLLLGLLLLG'),
    ('vidyullekhā', 'GGGGGG'),
    ('cakram', 'GLLLLLLLLLLLLG'),
    ('ahiṃsā', 'GLGLGGG'),
    ('arkaśeṣā', 'GLGLGLGLGLGLGG'),
    ('narhi', 'LGGLGGL'),
    ('śaśivadanā', 'LLLLGG'),
    ('cārucāraṇam', 'GLGLLLLLGL'),
    ('pratardi', 'LGLGLGL'),
    ('kheṭakam', 'GLLLGLGGLG'),
    ('godhi', 'LLGLLGL'),
    ('mānākrāntā', 'GGGGGGGGGGGGGGGGG'),
    ('vāsavavanditā', ['GGGLLGLGLG', 'GGLLGLGLG']),
    ('vaṃśastham', 'LGLGGLLGLGLG'),
    ('bhujagaśiśubhṛtā', 'LLLLLLGGG'),
    ('panthā', 'LGGGGG'),
    ('amarandi', 'GGLGLLGL'),
    ('parīvāhaḥ', 'LLLGGLGGLGGLGG'),
    ('mālāvalayam', 'GGGGLLLLGGLLLLGG'),
    ('aviralaratikā', 'GLLLLLLGLGLG'),
    ('vīrā', 'GGGGLLLLG'),
    ('kaḍāram', 'LGGLLLLGGGG'),
    ('troṭakam', 'LLLLGLGLGGLLGLLG'),
    ('adhikārī', 'LLGGLLG'),
    ('ayamānam', 'LLGLLGLLGLLGLLGLLGLLGG'),
    ('satī', 'LLLG'),
    ('atulapulakam', 'LLLLLLLLLLLLLLLLLLLLLLLG'),
    # ('mattākrīḍam', 'GGGGGGGGLLLLLLLLLLLLLLG'), # yati in vrttaratnakara
    ('sāravarohā', 'GLLGGLLLLGGLLLLG'),
    ('kaucamāraḥ', 'LLGGGLGG'),
    ('samudrakāntā', ['GGLLGLGLGG', 'GGGLLGLGLGG']),
    ('bhīmābhogaḥ', 'GGGGGLGGLGGGGGGGLGGLGG'),
    ('tanumadhyā', 'GGLLGG'),
    # ('kalasvanavaṃśaḥ', 'GLLGLLGGLLG'), # mauktikamālā in vrttaratnakara
    ('varāsikā', ['LGLGGLLGLGLG', 'GGLGGLLGLGLG',
                  'GGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('vidhunidhuvanam', 'GGGLLLLLLGGLLLLGGGG'),
    ('kūlam', 'GGLLLGGGGG'),
    ('madanamālā', 'LLLGLGLLLGG'),
    ('bhūridhāmā', 'LLGGLGG'),  # called haṃsamālā in vrttaratnakara
    ('sāmikā', 'GLGGLGL'),
    ('śrutakīrttiḥ', 'LLLLGGGLLGG'),
    ('sūriṇī', 'GLGGG'),
    ('kāmalā', 'LLLLLLGGGLGGLG'),
    ('mitasakthi', 'LLLLLGLLGLGLLGL'),
    ('pātaśīlā', ['LLGLLLGGGLGG', 'GGLGGGGLGG']),
    ('vargavatī', ['GLLGLLGLLGG', 'LLGLLGLLGG']),
    ('lakṣaṇalīlā', 'GLLGGLGGGGG'),
    ('karañji', 'LGLLLLGL'),
    ('viśvaviśvāsaḥ', 'GGGLGGLGGLGGGLGGGGGGLGGLGG'),
    ('bhujaṅgaḥ', 'LGGLGGLGGLGGLGGLGGLGGLGG'),
    ('nandaḥ', 'GLGG'),
    ('lalanā', 'GLLGGGLLGLLG'),
    ('bahulayā', 'GLGLLLG'),
    ('dhamanikā', 'LLGLGLLLLG'),
    ('bhārāvatāraḥ', 'LLLGGLLGLLLLLLLGGLGG'),
    ('vārayātrikam', 'GLLGLGGLGLG'),
    ('paragatiḥ', 'GLGLLLLLGLLLG'),
    ('vidhāritā', 'LGLLGLLGLGLG'),
    ('sudhādharā', 'GLGLGLGGLGLGLG'),
    ('dārikā', 'LLGLGLLLGLG'),
    ('asitadhārā', 'LLGLLLLLGG'),
    # same as viyoginī, also different sundarī above
    # ('sundarī', ['LLGLLGLGLG', 'LLGGLLGLGLG']),
    ('bhāṣā', 'LGGGLGLL'),
    ('saṅkalpāsāraḥ', 'GGGGGGGGGGGGGG'),
    ('vindhyārūḍham', 'GGGGLGGGGGGLGG'),
    ('holā', 'LLLGGGG'),
    # ('śiśiraśikhā', ['LLLLLLGLGLG', 'LLLLGLLGLGLG']), # same as Aparavaktrā
    ('śākhoṭaki', 'LLLGGGLL'),
    ('bhasalavinoditā', 'LGLGLLLLLGLG'),
    ('niskā', 'GGGLLG'),
    ('abhīrukā', 'LGLGLLLLLLLLG'),
    ('apayodhā', 'LLGGLGGGGGG'),
    ('prabhāsitā2', ['LLGLLGLGLG', 'GGGLLGLGLG']),
    ('sarāvikā', 'LGLGLGLGLG'),
    ('saraghā', 'LLGGGLLG'),
    ('kuhū', 'LGLLGLLGL'),
    ('viṣamavyālī', 'LLLLLGGGGGGG'),
    ('indumā', ['LGLGGLLGLGLG', 'LGLGGLLGLGLG',
                'GGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    # ('sragdharā', 'GGGGLGGLLLLLLGGLGGLGG'), # in curated
    ('candrahāsakarā', 'GLGLLGLGLLGLG'),
    ('indhā', 'GGLGLL'),
    ('lāsyalīlālayaḥ', ['GGLLGGGLGGLGG', 'GLLLLGGGLGGLGG']),
    ('adhīrā', 'GLLGGGG'),
    ('jaloddhatagatiḥ', 'LGLLLGLGLLLG'),
    ('dhīradhvānam', 'GGGGGGGGGLLGGG'),
    # ('mālinī', 'LLLLLLGGGLGGLGG'), # in curated
    ('arbhakapaṅktiḥ', ['LLGGLLGLGLGG', 'GLLGLLGLGLGG']),
    ('anūpakam', ['LLLLGLLGLGLG', 'LLGLLGLGLG']),
    ('kusumavicitrā', 'LLLLGGLLLLGG'),
    ('kiśalayam', 'LLLGGGL'),
    ('kumudinīvikāśaḥ', 'LGLGGLLLGLGG'),
    ('svidā', 'LGLLLLG'),
    ('vāsakalīlā', 'GLLGGGLLGGGLLGGGLLGGGG'),
    ('uditam', 'LLGLLGLLGG'),
    ('sthālī', 'GGLGLG'),
    ('vāsaramaṇikā', 'GLLLLGLLGGLL'),
    ('bhūrivasu', 'LGGGLLL'),
    ('madanalalitā', 'GGGGLLLLLGGGLLLG'),
    ('asambādhā', 'GGGGGLLLLLLGGG'),
    ('madalekhā', 'GGGLLGG'),
    ('vaṃśalonnatā', 'GLGLGLGLGGGGGGGLGLGLGGGG'),
    ('yugadhāri', 'LLGLGGGG'),
    ('śalkaśakalam', 'GLLLGLLGLLG'),
    ('hāsikā', 'GGGLG'),
    ('mantharāyanam', 'LLLGLGLLLLLLGLLGLLGLLGG'),
    ('nārācikā', 'GGLGLGLG'),
    ('cakoraḥ', 'GLLGLLGLLGLLGLLGLLGLLGL'),
    ('masṛṇam', 'LLLLLLGGL'),
    ('sindhuk', 'GGLLLLLL'),
    ('elā', 'LLGLGLLLLLLLLGG'),
    ('prapātalikā', 'GLLLLGLGLGLLG'),
    ('rasadhārā', 'LLLLGGLLLLGGG'),
    ('ulapohā', ['GLLGLLGLGLGG', 'LLGGLLGLGLGG']),
    ('nirvindhyā', 'LGLLLGGGG'),
    # ('puṣpitāgrā', ['LLLLLLGLGLGG', 'LLLLGLLGLGLGG']), # in vrttaratnakara
    ('upohā', 'LGGLGLL'),
    ('ari', 'GLLLLLLG'),
    ('pākali', 'LLLGLGLL'),
    ('marmasphuram', 'GGLGLLLGLGGLG'),
    ('sarasīkam', ['GGLGLLLGLLGG', 'LLGGLLLGLLGG']),
    ('ādhidaivī', 'LGGGGGLGGLGG'),
    ('vīranīrājanā', 'LGGLGGLGGLGGGLGGLGGLGG'),
    ('adhīrakarīram', 'GGGLLLLLLGLLLLGLLLLGLLGG'),
    ('haṃsamālā', 'GLGGLGG'),
    ('sṛtamadhu', 'LLGGLLLL'),
    ('savyālī', 'GGGGGGGGGGGGG'),
    ('mārābhisaraṇam', 'GGLLLLGGGGLLLLGLGGG'),
    ('nirmuktamālā', 'GGGGLGGLLLLLLG'),
    ('akṣarāvalī', 'GLGLLGLGLG'),
    ('pañcaśākhī', 'LLLLLGLGLGG'),
    ('kumudamālā', 'LLLGGLLLGGLLLGGLLLGGLLLGG'),
    ('rasabhūma', 'LLGLGLLLGL'),
    ('upodgatā1', ['LLGGLLGLGLGG', 'LLGLLGLGLGG']),
    ('avoḍhā', 'GGGGLG'),
    # # Covered by upajāti
    # ('mālā', ['LGLGGLLGLGG', 'LGLGGLLGLGG', 'GGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('somarājī', 'LGGLGG'),
    ('gūrṇikā', 'GLGGGLL'),
    ('paṅkavatī', 'GLLLLLLGLLGLL'),
    ('manmathaḥ', 'LLGLLGGLLGLLGG'),
    ('saudāmanadāma', 'LLGLLGLLGLLGLLLLGLLGGLLGL'),
    ('madhumārakam', 'LLGLGL'),
    ('caṇḍī', 'LLLLLLLLGLLGG'),
    ('kharviṇī', 'GLGGGGL'),
    ('bhujaṅgoddhatam', 'GGLGLLGLGGLGLLGGLGLLLG'),
    ('ārādhinī', 'GGLGGGGGGGG'),
    ('kanakamālikā', 'GLGLLLGLGLLLGLGLLLGLG'),
    ('ruciram', 'GLLLLGG'),
    ('arti', 'LGGLLL'),
    ('nameruḥ', 'GGLLGLGLGG'),
    ('nīlaśārdūlam', 'LLLLLLGGGLGGLGGLGG'),
    ('kalāpāntaritā', 'LGGLLGLGGG'),
    ('aupagavam', ['LLLGLGGLGLG', 'GLLGLGGLGLG']),
    ('virataprabhā', 'GLLGLLLLLGLG'),
    ('vīravaṭu', 'LLLGLLL'),
    ('kūlacāriṇī', 'GLGLGLGGGGG'),
    ('mattagajendraḥ', 'GLLGLLGLLGLLGLLGLLGLLGG'),
    ('vidyunmālā', 'GGGGGGGG'),
    ('pravahlikā', 'GLLLGLGLG'),
    ('śraddharā', 'GLGLGLLG'),
    ('sphoṭakṛīḍam', 'LLLLGGGGGGGGGGG'),
    ('mañjumālatī', 'GLGLGLLLGLGLG'),
    ('komalakalpakalikā', 'LLGLGGLLGLLLG'),
    ('lalāmalalitādharā', 'LGLGLGLGLGLG'),
    ('amandapādaḥ', 'GLLLLGLGLGG'),
    ('udayanamukhī', 'LLLLLGLLLLLG'),
    ('viśvapramā', ['GGLGGLGGLG', 'LGLGGLGGLG']),
    ('madanakam', 'LLLLLLLLG'),
    ('upagataśikhā', 'LLLLLGLGLLGLG'),
    ('kuṭhārikā', 'LGLGGLG'),
    ('avarodhavanitā', ['LLLGLLGLLGLGLG', 'LLGLLGLGLGLLLGG']),
    ('viśvamukhī', 'GLLGLLGLLG'),
    ('upasthitā', 'GGLLGLLGLGG'),
    ('śunakam', 'GLLGLG'),
    ('parabhānu', 'LGGLLGL'),
    ('vihāvā', 'LGGLGGLG'),
    ('virāmavāṭikā', 'LLLLGLGLGLLGLLLLGLGLGLLLLG'),
    ('upasaṃkulā', 'LLGLGLGGLG'),
    ('kanakitā', 'GLLGLLLLLLLLG'),
    ('upasarasīkam', ['LLGGLLLGLLGG', 'GGLGLLLGLLGG']),
    ('jāsari', 'GLLLGLL'),
    ('nūtanam', 'GLGLLLGLLGLLGLG'),
    # different upodgatā above, also this is Aupacchandasikam in curated.
    # ('upodgatā', ['LLGLLGLGLGG', 'LLGGLLGLGLGG']),
    # # Covered by upajāti
    # ('bhadrā', ['GGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('strī', 'GG'),
    ('pathyā', 'LLGLGLLLGLGGLG'),
    ('sūrasūcakaḥ', 'GGGLLGLGLLLGLLGLLGLGGLGGLG'),
    # ('apavāhaḥ', 'GGGLLLLLLLLLLLLLLLLLLLLGGG'), # in vrttaratnakara
    ('saurabheyī', ['GGLGGLLGLGLG', 'LGLGGLLGLGLG',
                    'LGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('sāvaṭu', 'LGLGLL'),
    ('kāntāram', 'LGGGGGLLLLLGGLGGL'),
    ('prapañcacāmaram', 'LLLLLLGLGLGLGLGLGLG'),
    ('tomaram', 'LLGLGLLGL'),
    ('kalādhāmam', 'GLLGLLLGLGGGG'),
    ('kṛtamālam', 'GGLLGLLGGGLLGG'),
    ('dharā', 'GGLG'),
    ('upalinī', 'LLLGLGLG'),
    ('caturīhā', 'LGLGLLGG'),
    ('saramāsaraṇiḥ', 'LLGLLGGGLGGLGG'),
    ('chāyā', 'LGGGGGLLLLLGGGLGGLG'),
    ('rasikarasālā', 'LLLLLLLLGLLGGLLGGLLLLLLGG'),
    ('jvalitā', 'LLGLLLLLLLLG'),
    ('kroḍāntikam', 'GGLGLLL'),
    ('virohi', 'LGLLLGL'),
    ('parimitavijayā', 'LLLLLLGLGLGG'),
    # different one above
    ('avarodhavanitā2', ['LLGLLGLGLGLLLGG', 'LLLGLLGLLGLGLG']),
    ('vṛntam', 'LLGGGGLL'),
    # ('hīrāṅgī', 'GGGLLLLGGG'), # paṇava in vrttaratnakara
    ('vipannakadanam', 'LLLGLGLLLGGGG'),
    ('sāndrapadam', 'GLLGGLLLLGL'),
    ('vanavāsinī', 'LLGLLGLGLGLLGLGLLLLLGL'),
    ('pikālī', 'GLGLGG'),
    ('vāmavadanā', 'GLLLGLGGLGGLG'),
    ('vikasitapadmāvalī', 'LLLLGGLGGGG'),
    ('vinatākṣī', 'LLGGLLLLLLLLG'),
    ('yuddhavirāṭ', ['GGGLLGLGLGG', 'GGLLGLGLGG']),
    ('dṛtiḥ', 'LLLLLGG'),
    ('kiṃśukāvalī', ['GGGLLLLGLGLGG', 'GGLLGLGLGG']),
    ('sairavī', 'GLGGGGG'),
    ('saṃlakṣyalīlā', 'LLLGLGLLLGLGLLLGGLGG'),
    ('kūrcalalitam', 'GLGGLGGLGGLLLG'),
    ('anṛju', 'GLLL'),
    # ('madirā', 'GLLGLLGLLGLLGLLGLLGLLG'), # in curated
    ('śikhilikhitā', 'GGGLLLLG'),
    ('saralāṅghri', 'GGLLLGL'),
    ('līlālekhaḥ', 'GGGGGGGGGGGGGGG'),
    ('śakuntakuntalaḥ', 'GGGGLGGLGLLLLLLGLGLGLGLGLG'),
    ('krīḍā', 'LGGG'),
    ('vātuli', 'LGGLGGLL'),
    ('kumāralīlā', 'GGGLLLLLLGLGLGG'),
    ('vāsavilāsavatī', 'GLLGLLGLLGGGG'),
    ('rūpāvaliḥ', 'GGLLLLLLLLLG'),
    ('kṣamāpāli', 'LGLGGL'),
    ('prajñāmūlam', 'GGGGLLLLLLGGG'),
    ('surahitā', ['LLLLLLLLGLLGG', 'GGLLLLLLLLLLG']),
    ('gahanā', 'GLLLLLGLLG'),
    ('bhekālokaḥ', 'GLLGGGGGGGGLLLLLLGGG'),
    ('vellitavelam', 'GLLGLLGLLGGGLLGLLLLLLLLG'),
    ('ambudāvalī', 'LLGLGGLLGLGLG'),
    ('luptā', ['LLGGLLGLLGLG', 'LLGLLGLLGLG']),
    ('vilambanīyā', 'LLLGLLLLGLGLGG'),
    ('kuśalakalāvatikā', 'GGGLLLLGLLG'),
    ('siṃhalekhā', 'GLGLGLGG'),
    ('kelicaram', 'LLLLGGLLLLL'),
    ('mṛgendramukham', 'LLLLGLLGLGLGG'),
    ('vīraviśrāmaḥ', 'LLLLLLGLGLLLGLGGG'),
    ('haṃsarutam', 'GGGLLLGG'),
    ('madāvadātā', 'LLGGLLGLGLGLGG'),
    ('sampākaḥ', 'GGGGGLL'),
    ('vīravikrāntaḥ', 'GGGLLLLGLGGLGGLGGLGGLGGLGG'),
    ('lakṣmī', 'GLGGLGGL'),
    ('nandanam', 'LLLLGLGLLLGLGLGGLG'),
    ('kuhakakuharam', 'LLLLLLGGGLGGLLLLLLGGGLGGLG'),
    ('vāravatī', 'LLGGLLGLLG'),
    ('ārbhavam', 'GLGLGL'),
    ('līlālolaḥ', 'GGGGLLLLGGGGG'),
    ('vaśamūlam', 'LLGGLLLLGLGLGG'),
    ('vayasyaḥ', 'LGGGLGG'),
    ('kharpari', 'LGLGGLL'),
    ('sambodhā', 'LGLGGLLLLLLGGG'),
    ('tāmarasam', 'LLLLGLLGLLGG'),
    # ('rucirā', 'LGLGLLLLGLGLG'), # in curated (but why?)
    ('pañjari', 'GLLGGGLL'),
    ('vilulitamañjarī', 'LLLLGLGGGGG'),
    ('arthaśikhā', 'GLLLLLLGLLG'),
    ('lodhraśikhā', 'GGGLLGLLGLLGG'),
    ('kiñjalki', 'GGLGL'),
    ('pataṅgapādaḥ', 'LGLGGLGGLGGLGGLGGL'),
    ('jāriṇī', ['LLLGGLGGLG', 'GLGGLGLLLGGLG']),
    ('viśambhari', 'LLLLLLLGGLLLLL'),
    ('akhaniḥ', 'LLLLGLLG'),
    ('jālapādaḥ', 'GGLGGGGLGGG'),
    ('kāṇḍamukhī', 'LGLGLLGLLG'),
    ('indraphalā', 'GLLGGGGG'),
    ('kalanāvatī', ['LLGLGLLLGLGLG', 'LLGLGLLLGLLGG']),
    ('kañjā', 'LGLGGG'),
    ('vṛddhavāmā', 'GGLGGLLGLGGLG'),
    ('bhārṅgī', 'LGLLLGGG'),
    ('kuradi', 'LGLLLLL'),
    ('īḍā', 'GGLLLLLG'),
    ('śroṇī', 'LGLGGGL'),
    ('paṭupaṭṭikā', 'LLGLGLLGLGG'),
    ('maśagā', 'LGGLLG'),
    ('vedhāḥ', 'GGLLGGG'),
    ('meghālokaḥ', 'LGGGGGGGG'),
    ('anucāyitā', 'LLLLLGLGLG'),
    ('pratisīrā', 'GGGGLLGG'),
    ('sutalam', 'LLGGLGLLGGLG'),
    ('harṣiṇī', 'GLGGLLL'),
    ('vaisārī', ['GGLLGLGLG', 'GGGLLGLGLG']),
    ('apramāthinī', ['LLGGLLGLGLGG', 'LLLLGLLGLGLGG']),
    ('puṭamardi', 'LLLLGL'),
    ('samayaprahitā', 'LLGLLGLGGLGG'),
    ('viśālāntikam', 'GGLGGLGGLG'),
    ('śṛkhalavalayitam', 'GLLLLLLLLGLLGGGLLLLLLLGLLG'),
    ('parimalalalitam', 'LLLLLLGGLGG'),
    ('mandari', 'GLL'),
    ('kamalaśikhā', 'LLLLGGGGGGLLLLGLLGLLG'),
    ('sthūlā', 'GGLLLGG'),
    ('ahilā', 'GGLLLGLGLG'),
    # ('prabhā', 'LLLLLLGLGGLG'), # in curated
    # ('upasthitam', 'LGLLLGGGLGG'), # in vrttaratnakara
    ('śarabhūriṇī', 'GLGLLGLGLLGLGLLGLGLLGLGGG'),
    ('vaisāruḥ', 'GGLLLGGGG'),
    ('pratari', 'GLGLLL'),
    ('vārttāhārī', 'LLLLGLLGGGG'),
    ('nābhasam', 'LGLLGLLLGLG'),
    ('vīrāntā', 'LGLLLGGGGG'),
    ('kumbhakam', 'LLLLLLGLGGLGGLGGLGGLGGLGGL'),
    ('nimagnakīlā', 'LGLGGLLGLGGL'),
    ('vāri', 'LGGL'),
    ('saubhagakalā', 'GLLLGLLLGLG'),
    # same as viparītākhyānakī, also covered by upajāti
    # ('haṃsī', ['LGLGGLLGLGG', 'GGLGGLLGLGG']), # same as viparītākhyānakī
    ('śeṣāpīḍam', 'GGGGLLLLGLL'),
    ('viplutaśikhā', 'GLLLGLGLGGLG'),
    ('sudhā', ['GGGLLGLGLG', 'LLGGLLGLGLG']),
    ('ābhāsamānam', 'LGGLGGLGGLGGGGLGGLGGLGGLGG'),
    ('mallapallīprakāśam', 'LGGLGGLGGLGGLGGLGGLGGLGGL'),
    ('hīnatālī', ['LLGGLLLLGLGLGLGG', 'GGGLLLLGLGLG']),
    ('karadhā', ['GGGLLGLGLG', 'LLLLLLGLGLG']),
    ('vipākavatī', 'LLLGLLLGLLGLLG'),
    ('varkaritā', 'GGGGLLG'),
    ('gītikā', 'LLGLGLLGLGLLGLGLLGLG'),
    ('visasi', 'LLGLLL'),
    ('baddhā', ['GGGGLLLLLLG', 'LLGLLGLLLLLLG']),
    ('āśāpādaḥ', 'GGGGLLLLGLG'),
    ('suvadanā', 'GGGGLGGLLLLLLGGGLLLG'),
    ('kuśakam', 'GLGLLLLL'),
    ('ujjvalā', 'LLLLLLGLLGLG'),
    ('kāmākṣī', ['LLGLLGLLLLLLG', 'GGGGLLLLLLG']),
    ('acalanayanam', 'LLLLLLLLLLLLLLLLL'),
    ('pravādapadā', 'LLGLGLGLLG'),
    ('bhramaravilasitā', 'GGGGLLLLLLG'),  # in vrttaratnakara too
    # ('ākhyānakī', ['GGLGGLLGLGG', 'LGLGGLLGLGG']), = bhadrā above
    ('manthānakam', 'GGLGGL'),
    ('bhujalatā', 'LLLLLGGGLLG'),
    ('mayūkhasaraṇiḥ', 'GLLLLGLGLLLGG'),
    ('unnarma', 'GLLGLLLLGLLGGL'),
    ('kālavarma', 'LLLGLLLGLGL'),
    ('phaladharam', 'LLLLLLGLLG'),
    ('suri', 'LLLLGGG'),
    # ('svāgatā', 'GLGLLLGLLGG'), # in curated
    ('bhāsitabharaṇam', 'GLLLLGGGGGGG'),
    ('bhasalaśalākā', 'GGGGLLLLGGGGLLLLGGGGLLLLGG'),
    ('krūrāśanam', 'GGLLLLGGLLLLLLGGG'),
    ('pāṭalikā', ['LLLLGGLLLLGG', 'GLLGLLGLLGG']),
    ('vaśaṃvadaḥ', 'LLGLLGLLGLLGLLGLLGLLGLLGLL'),
    # different in VR, present as samudrakāntā above
    # ('bhadravirāṭ', ['GGLLGLGLGG', 'GGGLLGLGLGG']),
    ('nimnāśayā', 'GGLGGGG'),
    ('vilambitamadhyā', 'GGGLLGLLGGG'),
    ('acaṭu', 'LLLLLLL'),
    ('kṛtakavali', 'LLLLLLLLLL'),
    ('dorlīlā', 'LLGLLGLGGGGG'),
    ('kāmaśālā', 'GLGGLGGLGGLGGL'),
    ('valgā', 'GGLGGLGGL'),
    ('kaṃsari', 'GGGGLL'),
    ('madākrāntā', ['LLGLLGLGLGLGG', 'GGGLLGLGLGLGGG']),
    ('sarasī', 'LLLLGLGLLLGLLGLLGLGLG'),
    ('pūrṇā', 'GGLLGLG'),
    ('bhāratī', 'GGGGGGGGGGG'),
    ('mṛgendu', 'LGL'),
    ('sarojāvālī', 'LGGLGGGLGGLG'),
    ('sukhaśailam', 'GGGGLLGGLLGG'),
    ('kumāralalitā', 'LGLLLGG'),
    ('kamanī', 'LLGLGG'),
    ('anantadāmā', 'LLLLLLLLGLGLGG'),
    ('kilikitā1', ['GLGLLLGLGLG', 'LLLGLLLGLGLG']),
    ('varajāpi', 'GLLLLGL'),
    ('tanvī', 'GLLGGLLLLLLGGLLGLLLLLLGG'),
    ('gajagatiḥ', 'LLLGLLLG'),
    ('vireki', 'GLGLLLGLGL'),
    ('sāhūti', 'GGGGGL'),
    ('pariṇāhī', 'GGGGLLLLGGLLGG'),
    ('vidhuravitānam', 'LLLLLLGLLLLGG'),
    ('gaṅgodakam', 'GLGGLGGLGGLGGLGGLGGLGGLG'),
    ('korakitā', ['GLLGLLGLLGG', 'LLLLGGLLLLGG']),
    ('indraḥ', 'LGLLGLLGGG'),
    ('upadhānam', 'LGLLLLLGLLGG'),
    ('pāñcālāṅghriḥ', 'LLLLGGGG'),
    ('bhujaṅgajuṣī', 'GLGLLGGLGLLG'),
    ('citibhṛtam', 'LLLLLLLGLG'),
    ('maṇimālā', 'GGLLGGGGLLGG'),
    ('viyogavatī', 'LGLLGLLLLLLG'),
    ('indravadanā', 'GLLLGLLLGLLLGG'),
    ('lulitam', 'LLGLLGLLGL'),
    ('māṇavakam', 'GLLGGLLG'),
    ('upāḍhyam1', ['GLLGLLGLGLGG', 'LLLLLGLGLGG']),
    ('niśipālam', 'GLLLGLLLGLLLGLG'),
    ('viṣvagvitānam', 'GGLGLLLGLLLLGGLGGLGG'),
    ('saurabhakam', ['LLGLGLLLGL',
                     'LLLLLGLGLG',
                     'GLGLLLGLLG',
                     'LLGLGLLLGLGLG']),
    ('śraddharāntā', 'GLGGLGGLGGLGG'),
    ('hemahāsaḥ', 'GLGGLGGLGG'),
    ('aupagavītam', ['GLLGLGGLGLG', 'LLLGLGGLGLG']),
    ('amanā', 'LLGLLGLL'),
    ('pulakāñcitam', 'GLLLLGLLLLGGLLLLLLGLLGG'),
    ('vīvadhaḥ', 'LLLLGLLLGLG'),
    ('ulkābhāsaḥ', 'GGGGGLLLGGGGG'),
    ('kirātaḥ', 'LLLLGLGGLGGLG'),
    ('amānikā', 'LGLGLGGL'),
    ('dadhi', 'GLLGLLGLL'),
    ('gaṇadehā', 'LLGGGGLLGG'),
    ('vainasam', 'GLGLG'),
    ('alālāpi', 'LLGLGGL'),
    ('prasarā', 'GGGLLGLLGG'),
    ('bhūriśobhā', 'GGGGGGLLLLLLGGLGGLGG'),
    ('vabhrūḥ', 'GGLGGG'),
    ('kumbhāri', 'GGGGL'),
    ('arjitaphalikā', 'GLLLLGGLGLLG'),
    ('samāhitam', 'LLLLGLLGLLGLLGLLGLLGLLGG'),
    ('parabhṛtam', 'LLLGGLG'),
    ('pārthivam', 'LGLLLGLGLLLGLLLGLG'),
    ('visraṃsi', 'LLLLLGGGLL'),
    # # Covered by upajāti
    # ('śālā', ['GGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('hemarūpam', 'GLGGLGLG'),
    ('jaladarasitā', 'LLLLLGLGGLGGLG'),
    ('mālatikā', 'LGLLGL'),
    ('antarvikāsavāsakaḥ', 'GGLGLGLGLGLG'),
    ('phalinī', 'LLLLGGGLLG'),
    ('vasupadamañjarī', 'LLLLGLGLLLGLLGLGLG'),
    # ('praharṣiṇī', 'GGGLLLLGLGLGG'),
    ('candralekhā2', 'GGGGLLLLLLGGLGGLGG'),  # different in VR
    ('vāṭikāvikāśaḥ', 'GLLLLLLGGLGLGG'),
    ('madanayā', 'LLLLLLGGLLG'),
    ('karabhoddhatā', ['GLLGGLGLGLG', 'LLGLLLGLGLG']),
    ('vikalavakulavallī', 'LLLLLLGGLGGL'),
    ('mālādharaḥ', 'LLLLLGLGLLLGLGGLG'),
    ('kāṃsīkam', 'GGGLLLLGG'),
    ('upacitram', 'LLGLLGLLGLG'),
    ('subhadrikā', 'LLLLLLGLGLG'),
    ('vitānitā', 'LLLLLLLLLGLGLG'),
    ('kāmanibhā', 'GGGLLGGGLL'),
    ('indravajrā', 'GGLGGLLGLGG'),
    ('kuḍaṅgikā', 'LGLGLGLGLGLGLG'),
    # ('toṭakam', 'LLGLLGLLGLLG'), # in curated
    ('paṇavaḥ', 'GGGLLLLGLG'),
    ('anukūlā', 'GLLGGLLLLGG'),
    ('vijohā', 'GLGGLG'),
    ('krīḍāyatanam', 'LLGLLGLLGGGLLG'),
    ('prapannapānīyam', 'GGLLGGGGLGLGGG'),
    ('ālepanam', ['LLLGGLGGLGGLG', 'LLLGLLLGGLGGLG']),
    ('dhṛtahālā', 'GGGGLLGGG'),
    ('parivṛḍham', 'LLLGGLGGLGGLG'),
    ('dhīrāvarttaḥ', ['GGGGGLLGGLLGG', 'GGGGLLLLGGGGG']),
    ('grāvāstaraṇam', 'GGGGLLLLGGLLGGGGLLG'),
    ('upameyā', ['LGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('kṛṣṇagatikā', 'GLLLGLGG'),
    ('rādhikā', 'LLGGLLGLLGLG'),
    ('śiśubharaṇam', 'LLLLLLLLLLLLLLGG'),
    ('cārugatiḥ', 'LLLLLLLLGGGGLLLLGLGLGLGLGG'),
    ('kāmacāri', 'GGLGLLGLGL'),
    ('kanakaketakī', 'GGLLLGLGLLGLG'),
    ('sarasamukhī', 'GGLLLLLLGL'),
    ('salekhā', 'LLLLLLGGGLLLLLLGG'),
    ('bhadrakam', 'GLLGLGLLLLLGLLLGLGLLLG'),
    ('devalam', 'GGGLGGL'),
    ('vivaravilasitam', 'GGLLLLLLGGGG'),
    ('līlācandram', 'GGGGGGGGLLGGLLG'),
    # # Covered by upajāti
    # ('vāṇī', ['GGLGGLLGLGG', 'LGLGGLLGLGG', 'GGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('kaṭhināsthi', 'GLLLLLLGL'),
    ('añcalavatī', 'GLLLGLLGLGLLLG'),
    ('ahatiḥ', 'LGGLLLL'),
    ('vātyā', 'GLLLGGGG'),
    ('aśokapuṣpam', 'LLLLLLGLGLGLG'),
    # ('krośapadā', 'GLLGGGLLGGLLLLLLLLLLLLLLG'),  # krauñcapadā in VR
    ('padmāvatī2', ['GGLGLLLGLLGG', 'LLGLGLLLGLLGG']),  # different above
    ('vaṃśāropī', 'LGGGLLGGGG'),
    ('vidyādhāraḥ', 'GGGGGGGGGGGG'),
    ('nāsābharaṇam', 'GGLLGGGLLGGLLG'),
    ('halodgatā', 'LLLLGLGLG'),
    ('uddhatikarī', 'GLLLGGGGGGG'),
    ('hetiḥ', 'LLLLGLLGLGLLGL'),
    ('karṇasphoṭam', 'LLLLGGGGLLLLGGGGL'),
    ('bhaurikam', 'GLGGLGGLG'),
    ('kokapadam', 'GLLGGGLLGGLLLLLLLLLLLLGG'),
    ('sahajā', 'LLGLLGLGLG'),
    ('lalitāgamanam', 'LLGLLGLGGGG'),
    ('kalpadhāri', 'GLGGLGGLGLGLGLGL'),
    ('kāmarūpam', 'GGGGLGGLLLLLGGLGG'),
    ('celāñcalam', 'GGLGLLLLGLGLGG'),
    ('gambhāri', 'GLGGLGGLGGL'),
    # # Covered by upajāti
    # ('buddhiḥ', ['GGLGGLLGLGG', 'LGLGGLLGLGG', 'LGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('viśadacchāyaḥ', 'LLGGGLLGGG'),
    ('kalki', 'GLGLL'),
    ('kaṇikā', 'GGLLG'),
    ('amati', 'GLLLLL'),
    ('cañcarīkāvalī', 'LGGGGGGLGGLGG'),
    ('hrīḥ', 'GLGGL'),
    ('arditam', 'GLLGLLGLLGLLGLLGLLLLLLGG'),
    ('kalpamukhī', 'GLLGGLG'),
    ('drutalambinī', 'LLGLLGLGLLGLG'),
    ('bimbam', 'LLLLLGLGG'),
    # # Covered by upajāti
    # ('rāmā', ['GGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('lasadasu', 'LLLLLGLG'),
    ('vyāhāri', 'GLLGGGL'),
    ('dhīrāvarttaḥ2', ['GGGGLLLLGGGGG', 'GGGGGLLGGLLGG']),  # different above
    ('kalāpatiprabhā', 'GLGLGLGLGLGLG'),
    ('camūrubhīruḥ', ['GLGLLLLGLGLG', 'LLGLLLLGLGLGG']),
    ('suṣamā', 'GGLLGGGLLG'),
    ('hrīṇahaiyaṅgavīnam', 'GLGGLGGLGGLGGLGGLGGLGGLGG'),
    ('aḍamaruḥ', 'LLLLLLLLLLLLL'),
    ('kulādhārī', 'LGGGLGGG'),
    ('aparājitā', 'LLLLLLGLGLLGLG'),
    ('keram', 'GLGGLLGLLG'),
    ('mauktikadāma', 'LGLLGLLGLLGL'),
    ('mahonmukhī', 'GGGLGLG'),
    ('saṃhatikā', 'LLGLGLLGLG'),
    ('asudhārā', 'LGLGLGGLGLGG'),
    ('vinayavilāsaḥ', 'LLLLGGLLLLGGLLLLGGLLLLGGGG'),
    ('subhadrāvataraṇiḥ', 'GGGGGLGGLLLG'),
    ('akoṣakṛṣṭā', ['LLGGLLGLGLGLGG', 'GGLLGLGLGG']),
    ('ayamitam', 'LLLGLL'),
    ('sārasanāvaliḥ', 'LLLGLLLGLLGLG'),
    ('śantanu', 'GLLGGLL'),
    ('kārpikā', 'GLGLGLL'),
    ('amālīnam', 'LGGLGGGGGGG'),
    ('sumohitā', 'LGLGGGG'),
    ('cittacintāmaṇiḥ', 'GLGGLGGLGLLLLGLGGLGGLGGLG'),
    ('vāntabhāraḥ', 'LLLGGLGG'),
    ('paddhari', 'LGGGGLL'),
    ('arilā', 'LLGGLLGLLGLL'),
    ('mattebhavikrīḍitam', 'LLGGLLGLGLLLGGGLGGLG'),
    ('mattālī', 'GGGGGLLGGGGG'),
    ('amatiḥ', 'GGGLLLL'),
    ('kāmukalekhā', 'GLLGGGLLGGL'),
    ('mṛṣṭapādā', 'GLGGGLG'),
    ('piculam', 'LLGLLGLGLGL'),
    ('abhikhyā', 'LLGGGG'),
    ('bhūrighaṭakam', 'GGGLLLGGGGG'),
    # ('rathoddhatā', 'GLGLLLGLGLG'), # in curated
    ('śaṅkāvalī', 'GGLGLLGLGLLLLLG'),
    ('kāsāram', 'GGGGGGGGLLLLGGLLG'),
    ('vāṇīvāṇaḥ', 'GGGGLLLLGGLLGGLLGGGG'),
    ('kumāragatiḥ', 'LGLLLLGLLLLG'),
    ('paricāravatī', 'GGLGLLGLLG'),
    ('vāhāntaritam', 'GGLLLLGLLGLLLLLLG'),
    ('sūtaśikhā', 'GGLLGGLLGGLLLLGG'),
    ('āpaṇikā', 'LGLGGLLGLLGLG'),
    ('vallavīvilāsaḥ', 'GLGLGGLGGGG'),
    ('kulyāvarttam', 'GGGGGGLLGGLLGGLL'),
    ('manthari', 'GGGLGGLL'),
    ('madanoddhurā', 'GLLGLLGLG'),
    ('bhadrikā', 'GLGLLLGLG'),
    ('jhillīlīlā', 'LLLLGGGGGGGGLGLGGGG'),
    ('paraprīṇitā', ['LLLLLLGGLGGLG', 'LLLLLLLLGGGLGGLG']),
    ('paurasari', 'GLLGLLL'),
    ('śārdūlalalitam', 'GGGLLGLGLLLGGGLLLG'),
    ('kalpamīlitā', 'GLGGLGGLGGLGLG'),
    ('amoghamālikā', 'LGLGLGLGGGG'),
    ('nīpavanīyakam', 'GLLLLLLLLLLGGLLLLGLLGLLGG'),
    ('saṅgamavatī', 'GLLLGLLLLLLG'),
    ('abhidhātrī', 'LLGLLGLLGLGLGLGG'),
    ('alparutam', ['GLLLLLLGLLGLL', 'GLLLLLLGGLLLL']),
    # # Covered by upajāti
    # ('premā', ['LGLGGLLGLGG', 'LGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('tanimā', 'LLLLLLLLGG'),
    ('śobhā', 'LGGGGGLLLLLLGGLGGLGG'),
    ('valīkendu', 'LLGGLGGL'),
    ('aśaniḥ', 'LLLLLLGGLLLLL'),
    ('mahanīyā', 'LGGLLGG'),
    ('kalanāyikā', 'LGLGGLLLLLGLG'),
    ('upodari', 'LGLLGLL'),
    ('mālavikā', 'GGLLGLLLGLG'),
    ('bodhāturā', 'LGGGGGLGGG'),
    ('mudiram', 'LLGLLGLLGLLGLLGLLGLLGLLGG'),
    ('paṭu', 'LLLL'),
    ('vidyadālī', 'LGGLGGLGGLGGLGGLGGLGG'),
    ('saurabhi', 'GLLLLG'),
    ('vegavatī2', ['LLGLLGLLGG', 'GLLGLLGLLGG']),  # different in VR
    ('rudrālī', 'LLLLLGGG'),
    ('daṇḍī', 'GGLLLLGGLLLLGGLLLG'),
    ('keśavatī', 'LGGGLLG'),
    ('āsavavāsitā', ['LLLGLLLGLGLGLGG', 'LLGGLLGLGLGLLLGG']),
    ('krośitakuśalā', 'GLLLLGLLGGG'),
    ('kīṭamālā', 'LLGLGLGGL'),
    ('vindu', 'LGGGGL'),
    ('ramaṇā', ['LGLGGLLGLGLG', 'GGLGGLLGLGLG',
                'LGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('anirayā', ['LLLGLLLLGLGLG', 'LLLGLLLGLLGLG']),
    ('anāmayam', 'LGLLGLLGLLGLLGLLGLLGLLGL'),
    # ('kāntā', ['GGGLLGLGLGG', 'GGLLGLGLGG']),  # same as yuddhavirāṭ
    ('nirmedhā', 'LLLGGLGGGG'),
    ('surasā', 'GGGGLGGLLLLLLGGLLLG'),
    ('kāmā', 'GGLLLLLGG'),
    ('kāladhvānam', 'GGGGGGLLLLGGGG'),
    ('valvajam', 'GLLGLLGGLLLLLLGGG'),
    ('alipadam', ['GLGGLGLLLGGLG', 'LLLGGLGGLG']),
    ('nālī', 'LGGGG'),
    ('pāñcāli', 'GGL'),
    ('upāḍhyam2', ['LLLLLGLGLGG', 'GLLGLLGLGLGG']),
    ('varatrā', 'GLLLGLLGLLGG'),
    ('lalitam', ['LLGLGLLLGL', 'LLLLLGLGLG', 'LLLLLLLLGLLG', 'LLGLGLLLGLGLG']),
    ('valīmukhī', 'LGLGLG'),
    # # Covered by upajāti
    # ('ṛddhiḥ', ['LGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('avanijā', 'LGLLGLGLG'),
    ('ākhrṭam', 'GLGLGLLL'),
    ('damanakam', 'LLLLLLLLLLG'),
    ('samayavatī', ['GGLLLLGGLLG', 'LLGGGGLLLLG']),
    ('akhaṇḍamaṇḍanam', 'LGLGLGGLGLGLG'),
    ('vyākośakośalam', 'GGLGLLLGGGLLLLGLLGLLGLGLG'),
    # # Covered by upajāti
    # ('bālā', ['GGLGGLLGLGG', 'GGLGGLLGLGG', 'GGLGGLLGLGG', 'LGLGGLLGLGG']),
    ('khaṭakā', 'LGLLGLLGLLG'),
    ('harit', 'LLLLLGGL'),
    ('ghaṭikā', ['GGLLLGLGLG', 'LLGLLGLGLG']),
    ('viralam', 'GLLLLGGLLG'),
    ('śritakamalā', 'GLLGLLLLGGG'),
    ('śravaṇābharaṇam', 'LLLLGLLGLLGLLGLLGLLGLLG'),
    ('kalahakaram', 'LLLLLLLLLLLLGLLG'),
    ('vāsavavāsinī', ['LLLLGLGLLLGLLGLG', 'GGLLGLGLLLGLLGLG']),
    ('ratirekha', 'GGLLGGGLLGLLGG'),
    ('vimalā', 'LLGLLGLGLGG'),
    ('staradhi', 'LGLGLLL'),
    ('chalitakam', 'LLLGGLGLLG'),
    ('anālepanam', ['LLLGLLLGGLGGLG', 'LLLGGLGGLGGLG']),
    ('lāsyalīlā', ['GLLLLGGGLGGLGG', 'GGLLGGGLGGLGG']),
    ('atikali', 'GGLLLL'),
    ('taḍidambaram', 'GLLGLLGLLGLLGLLGLLGLL'),
    ('ārabhaṭī', 'GLLGLLLLLLGLLGGG'),
    ('maulimālikā', 'GLGLGGGG'),
    ('dhāri', 'GLGL'),
    ('viśālāmbhojālī', 'GGLLLGLGGGGG'),
    ('karaśayā', 'LLLGLLGLG'),
    ('citram', 'GLGLGLGLGLGLGLGL'),
    ('udāttahāsaḥ', 'LGLGGLGLLLGLG'),
    ('siktamaṇimālā', 'GLLLGGGGLLGG'),
    ('vikacavatī', 'LLLLGGGLL'),
    ('undari', 'GLLLGLG'),
    ('vibhā', 'LLLLGGGGLLGGG'),
    ('talpakatallajam', 'GLLGLLGLLGLLGLLLGLGGG'),
    ('nandi', 'GLLGLL'),
    ('dāmaghaṭitā', 'LLLLLLGLLLG'),
    ('babhrulakṣmīḥ', 'GLGGLGGGLGGLGG'),
    ('amarāvatī', ['GLGLGLGLGLGL', 'LGLGLGLGLGLGG']),
    # In curated
    # ('udgatā', ['LLGLGLLLGL', 'LLLLLGLGLG', 'GLLLLLLGLLG', 'LLGLGLLLGLGLG']),
    ('guñjā', 'GGLLGGL'),
    ('kṣut', 'GLLLL'),
    ('śivikā', 'GLLGLLGLLGLLGLLGLLGLLGLLG'),
    ('lumbākṣī', 'LLGLLGLLLGGG'),
    ('maṇihaṃsaḥ', 'LLGLGLLGLGLLGLG'),
    ('mārdaṅgī2', ['GGGLLLLGLLLLLLLLGG', 'LLGLLLLLGLLLGG']),  # different above
    ('rambhā', 'GGLLLLGGG'),
    # ('bhujaṅgaprayātam', 'LGGLGGLGGLGG'),  # in curated
    ('prahāṇaḥ', 'LGGGGGG'),
    ('rasadhāri', 'LLGLGGG'),
    ('śīlāturā', ['LGLGGLLGLGLG', 'LGLGGLLGLGLG',
                  'LGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('mattā', 'GGGGLLLLGG'),
    ('kiraṇakīrttiḥ', 'GGLLGLGGLGLLLLLLLGG'),
    ('rasikaparicitā', 'LLGGGLLLLLLG'),
    ('niryatpārāvāraḥ', 'GGGGGLGGLGGLGG'),
    ('saṃbhṛtaśaradhiḥ', 'GLLLLLLGGGLLLLLLGGLLGGL'),
    ('hoḍapadā', 'GLLGLGG'),
    ('bhīmārjanam', 'GGLGLGG'),
    ('śāyinī', 'LLLLLGLGLGLLLGLGG'),
    ('mauralikam', 'GLLGLLG'),
    ('lāsyakārī', 'GLGGLGGLGGLGGLG'),
    ('bhāvinīvilasitam', 'GLGLLLGLGLLLGLGLLLGLGLLLG'),
    ('varddhiṣṇu', 'GGLGGGL'),
    ('mayūrasāriṇī', 'GLGLGLGLGG'),
    ('valā', 'GLLG'),
    ('sarojavanikā', 'LGLLLGLGLGG'),
    ('meghadhvanipūraḥ', 'GGLLGGGGGGG'),
    ('viśeṣakabalitam', 'LLLLLLGGGGGGLGLLGLLGLLLLG'),
    ('dhanadhari', 'LLGLLLL'),
    ('siṃhapuccham', 'LGGLGGLGGLGGLGG'),
    ('haravanitā', 'LLLLLLLLLLLLG'),
    ('dārudehā', 'GLGGLGGLGGG'),
    ('īhā', ['LLLLGLLGLLGG', 'GLLGLLGLLGG']),
    ('pramodaḥ', 'LLLLLLGLGGLGG'),
    ('vāsinī', ['GGLLGLGLLLGLLGLG', 'LLLLGLGLLLGLLGLG']),
    ('moṭanakam', 'GGLLGLLGLLG'),
    # ('pramitākṣarā', 'LLGLGLLLGLLG'),  # In curated
    ('paritoṣā', 'LLGLLLLGLLGG'),
    ('nirudam', 'LLGLLLLL'),
    ('atailam', ['LGLGGLGGLG', 'GGLGGLGGLG']),
    ('arpitamadanā', 'GLLLLGLLLLGG'),
    ('vanitāvilokaḥ', 'GGLGGLLLGLGG'),
    ('sārddhapadā', 'GLGLGGLLGLGLG'),
    ('dīpakam', 'GLLGGLLLLGGLLGG'),
    ('guṇavatī', 'LLLGGG'),
    ('rucimukhī', ['LLLLLLLLGLLGG', 'LLLLLLGLLLLGG']),
    ('sulūḥ', 'LLLLG'),
    ('mañjīrā', 'GGGGGGGLLGGGLLGGGG'),
    ('vidrumadolā', 'LLLLGGGGLLGG'),
    ('mānavatī', 'LGLLGLLGLLGLLGLLGLLGLLG'),
    ('vimāninī2', ['LLGGLLGLGLG', 'GGGLLLLGLGLG']),  # different above
    ('paridhānīyam', 'LLLLLLGLLGGLLGLLGGLLGGG'),
    ('muhurā', 'LLGLGLL'),
    ('śarameyā', 'LLGGLLLGLLGG'),
    ('mahī', 'LG'),
    # ('pramālikā', ['LLGGLLGLGLGG', 'LLGLLGLGLGG']),  # same as upodgatā above
    ('praguṇam', 'LLGGG'),
    ('vāsantikā', ['GGLGGLLGLGLG', 'GGLGGLLGLGLG',
                   'GGLGGLLGLGLG', 'LGLGGLLGLGLG']),
    ('śaśikalā', 'LLLLLLLLLLLLLLG'),
    ('līlāratnam', 'GGGGGGLLGGGG'),
    ('gahvaram', 'GLGGLGGLGLG'),
    ('abhrabramaṇam', 'GGLLLLGGGLLGLLLLLLLLLLLLG'),
    # ('priyaṃvadaḥ', 'LLLGLLLGLGLG'),  # priyaṃvadā in VR
    ('snu', 'L'),
    ('vilulitavanamālā', 'LLLLLLGGGLLLLLLGGG'),
    ('parviṇī', 'LLLLLLGLGLLLGLGGLG'),
    ('atiraṃhaḥ', 'LGLLGLLGLGLGG'),
    ('upasthitapracupitam', ['GGGLLGLGLGLLGG', 'LLGLLLLGLGLGG',
                             'LLLLLLLLG', 'LLLLLLLLLLGLLGG']),
    ('vīṇādaṇḍam', 'LGLLLGLGGGGG'),
    ('lolalolambalīlam', 'GLGGLGGLGGLGGLGGLGG'),
    ('svaravarṣiṇī', 'LLGLGLLGLGGG'),
    ('svanakarī', 'LLLGLLG'),
    ('ravonmukhī', 'GGLLGLGLG'),
    ('śāntasurabhiḥ', 'GLLLLLGLGLLGLLG'),
    ('suvṛttiḥ', 'LLGLLLLLLGG'),
    ('naragā', 'LLLLGGLLGG'),
    ('upendravajrā', 'LGLGGLLGLGG'),
    ('virājikarā', 'LGLLGGGG'),
    # # Covered by upajāti
    # ('kīrtiḥ', ['LGLGGLLGLGG', 'GGLGGLLGLGG',
    #             'GGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('cārvaṭakam', 'GGGGLLGLLGGGGGG'),
    ('murajikā', 'LLLGGLL'),
    ('saṃsṛtaśobhāsāraḥ', 'LLGGGLLGGGG'),
    ('nāndīmukhī', 'LLLLLLGGLGGLGG'),
    ('aśvagatiḥ', 'GLLGLLGLLGLLGLLLLG'),
    ('vṛttahāri', 'LGGLGL'),
    ('viratimahatī', 'GGLLLLLLLLGG'),
    ('īhāmṛgī', 'GGLGLLGGLGG'),
    ('nīrāñjaliḥ', 'GGLLLLGGLG'),
    ('hīrakahāradharam', 'GLLGLLGLLGLLGLLGLL'),
    ('nirasikā', 'LLLGLG'),
    ('sphuṭaghaṭitā', 'LLLLGGLLL'),
    ('mālīnam', 'GGGLL'),
    ('kāru', 'LLGL'),
    ('priyajīvitam', 'GLLGLLGLLGLLGLLGLLGLLGLLGG'),
    ('pañcaśikhā', 'LLGLLGGG'),
    ('uditavijohā', 'GGLGGLLLLGG'),
    ('sammadākrāntā', ['GGGLLGLGLGLGGG', 'LLGLLGLGLGLGG']),
    # ('dodhakam', 'GLLGLLGLLGG'),  # in VR
    ('dhṛṣṭapadam', 'GLLGLLLGLLGG'),
    ('kurucarī', 'GLGGLLLG'),
    ('śephālī', 'LGGGGGGGGG'),
    ('anibhṛtam', 'LLLGGL'),
    ('chalitakapadam', 'GGLLLLLGLLGG'),
    ('vakrāvalokaḥ', 'LLLLLLGGGGLGGLGG'),
    ('sambuddhiḥ', 'LLGGGLLGG'),
    ('śampā', 'GGLLLLGGGGGG'),
    ('anirbhāraḥ', 'LGGGGGGG'),
    ('vahirvali', 'LGLLGLG'),
    ('śambhuḥ', 'LLGGGLLGGGLLGGGGGGG'),
    ('svinnaśarīram', 'GLLGGLGGLGGLG'),
    ('bhūrimadhu', 'GGGGLLL'),
    ('nirgalitamekhalā', 'LLLLLLGLGLLLGLLLGLG'),
    ('hāriṇī', 'GGGGLLLLLLGGLGGLG'),
    ('abhirāmā', 'LLGGLLGGLLLLG'),
    ('śaragītiḥ', 'GLGLLGG'),
    # ('śrīḥ', 'G'),  # in VR
    ('mātrā', 'GGGLLLLLLGG'),
    ('bhogāvalī', 'GGLGLLGLGLLGLLLLLLLGLG'),
    # ('vasantamālikā', ['LLGLLGLGLGG', 'LLGGLLGLGLGG']),  # in curated
    ('jihmāśayā', 'GGLGLLLGLLG'),
    ('rājarājī', 'GGLGGLG'),
    ('kanakakāminī', 'LGLGGLLLGLG'),
    ('mayūvadanā', 'GLLLGLLGLGLLGLG'),
    # ('śikhariṇī', 'LGGGGGLLLLLGGLLLG'),  # in curated
    ('ānaddham', 'GLGLLLLLGGGLGGG'),
    ('mahoddhatā', 'LGGLGLG'),
    ('madhuvāri', ['LLGLGLLLGLGLG', 'GGLGLLGLGLLGL']),
    ('sukhakārikā', 'LLGLGLLGLGGGL'),
    ('kāmoddhatā', 'GGLGGLL'),
    ('kilikitā2', ['LLLGLLLGLGLG', 'GLGLLLGLGLG']),
    ('mṛdukīlā', 'LLGGLG'),
    ('ramaṇaḥ', 'LLG'),
    ('kareṇuḥ', 'GLGGGG'),
    ('camūruḥ', ['LLGLLLLGLGLGG', 'GLGLLLLGLGLG']),
    ('khagatiḥ', 'GLLGLLGLLGLLGLLG'),
    ('bhogāvaliḥ', 'GGLLLLLLLLGGLLGG'),
    # different in VR, also present in curated as Candrikā, Utpalinī
    # ('candrikā2', 'LLLLLLGGLGGLG'),
    ('nārācam', 'LLLLLLGLGGLGGLGGLG'),
    ('śilīmukhojjṛmbhitam', 'GGGLLGLGLLLLLGLGGLG'),
    ('kanyā', 'GGGG'),
    ('vasumatī', 'GGLLLG'),
    ('kalitakamalavilāsaḥ', 'LLLLLLGGGGG'),
    ('nīrāntikam', 'GGLGLLLGLLGG'),
    ('sārikā', ['GLGLLLGLGLG', 'GLGLLLGLLGG']),
    ('manolā', 'LGGLLGGG'),
    ('lalitalalāma', 'LLLLGLGGLGGLGGLGGLLLG'),
    ('vijayaparicayā', 'LLLLLLGGLLGG'),
    # ('mṛdumālatī', ['LLLLGLLGLGLG', 'LLLLLLGLGLG']),  # above as paravaktram
    ('mandākṣamandaram', 'LLLLLLGGGGGGLGLGLGGGG'),
    ('parikhāyatanam', 'LLGLLGLLGGLLLLGG'),
    ('śarat', 'LLLGLLGLLG'),
    ('yaśaskarī', 'LGLGLGGG'),
    ('viśikhalatā', 'LLLLGLGLGGLG'),
    ('surāḍhyā', ['LLLLLLGLGLGG', 'GGGLLGLGLGG']),
    ('bhāskaram', 'GLLLLLLGLLGGGLLLLLLLLLLGG'),
    ('nīhārī', 'GGGGGGL'),
    ('rāḍhi', 'GLLGGL'),
    ('ālolaghaṭikā', ['LLGLLGLGLG', 'GGLLLGLGLG']),
    ('kalā', 'LGLG'),
    ('lavalīlatā', 'GLLGLGLLLGLLG'),
    ('kāraviṇī', 'GLLLGLGLLLGLLG'),
    ('hīram', 'GGLLLLG'),
    ('bimbālakṣyam', 'GGGGLGGGLGGLGG'),
    ('pārāvāraḥ', 'GGLLLLLLLLGGGG'),
    ('praphullakadalī', 'LGLLLGGGGGG'),
    ('ayavatī', ['LLGGGGLLLLG', 'GGLLLLGGLLG']),
    ('mīnapadī', 'GLLGLGL'),
    ('surayānavatī', 'LLGLLGGLLG'),
    ('kumbhodhnī', 'GGGGLLLGLLGG'),
    ('muśaki', 'GGLLLLL'),
    ('bhūmadhārī', 'LGGLGGGG'),
    # # Covered by upajāti
    # ('jāyā', ['GGLGGLLGLGG', 'LGLGGLLGLGG',
    #           'LGLGGLLGLGG', 'GGLGGLLGLGG']),
    ('vāṇībhūṣā', 'GGGGGGGGLLLLGGG'),
    ('virodhinī', 'LLLGLLLLGLGLG'),
    ('bhujaṅgabhṛtā', ['LLGLLGLLGLLGG',
                       'GLLGLLGLLGLLG']),
    ('śambaradhārī', 'GLLGGLLGG'),
    ('camarīcaram', 'LLLLLLGLGLLLGLG'),
    ('vihāriṇī', 'LLGLGLGGLGG'),
    ('māyāsārī', 'LLLLGGGGG'),
    ('pramodapadam', ['LLLLGLLGLGLLLGG',
                      'LLLLLLGLGLGLGG']),
    ('sudāyi', 'LGLLLL'),
    ('kiṃśukāstaraṇam', 'GLGLLGLGGGGG'),
    ('phalguḥ', 'LLGGLLLLGGLLLLGGL'),
    ('pārāvataḥ', 'GGLGGLGGLGGLG'),
    ('atisurahitā', ['GGLLLLLLLLLLG', 'LLLLLLLLGLLGG']),
    ('sammadavadanā', 'GLLGLLGLLLLG'),
    ('viśālaprabham', 'LGLGGLGGLG'),
    ('vanitābharaṇam', 'GLLGLLLLGLLG'),
    ('malayasurabhiḥ', 'GGGLLLLLLGGG'),
    ('galitanālā', 'LGLGLLLGGGLG'),
    ('saurakāntā', 'GLGGLLG'),
    # ('bhujaṅgavijṛmbhitam', 'GGGGGGGGLLLLLLLLLLGLGLLGLG'),  # in VR
    ('akahari', 'LLLLLLLLLLLLLL'),
    ('ardhakṣāmā', 'GGGGGLLGG'),
    ('kāsārakrāntā', 'GGGGGLLGLLGG'),
    ('tārakam', 'LLGLLGLLGLLGG'),
    ('uditadineśaḥ', 'LLGLLLLGGGG'),
    ('pratāritā', 'LLGLLLGLGLG'),
    # ('nardaṭakam', 'LLLLGLGLLLGLLGLLG'),   # in curated
    ('lolam', 'GGLGG'),
    ('dṛptadehā', 'LGGGLGGGLGGLGG'),
    ('dhaunikam', 'GLLLLLLLG'),
    ('pratimā', 'LLGLLGLLGLLGLLGLLGLLG'),
    ('parāmodaḥ', 'LGGLLGLLGLGLLLLGGG'),
    ('dhoritam', 'GLLLLLGLGGLGLLG'),
    ('kharakarā', 'LLLGLGG'),
    ('garuḍarutam', 'LLLLGLGLLLGLGGLG'),
    ('karabhit', 'LLGLLGG'),
    ('sāriṇī', 'GLGLLLGLGLLLGLG'),
    ('acaladhṛtiḥ', 'LLLLLLLLLLLLLLLL'),
    ('sumukhī', 'LLLLGLLGLLG'),
    ('śukāvalī', ['GGLLGLGLGG', 'GGGLLLLGLGLGG']),
    ('ītiḥ', 'GLLLGG'),
    ('nibhālitā', 'LLGGGLGLG'),
    ('śarakalpā', 'LLLLLLLLGLLLLGG'),
    # ('rathapadam', 'LLLLLLLLGGG'),  # vṛntā in VR
    ('kacchapī', 'LGGGLG'),
    ('bṛhaccharāvatī', ['LLGGLLLLLLGLGLG',
                        'LLLLLLGLGLGG']),
    # ('padyā', 'LGLGGGG'),  # sumohitā above
    # ('śārdūlavikrīḍitam', 'GGGLLGLGLLLGGGLGGLG'),  # in curated
    ('priyatilakā', 'GLLGLLLLG'),
    ('sahelikā', 'LGLGLLGLG'),
    ('vilāsavāsaḥ', 'GLLLLGGLLGLLLLGLGLGLLGG'),
    ('mugdham', 'GGGL'),
    ('kaṇṭhī', 'LGLGG'),
    ('cāmaram', 'GLGLGLG'),
    ('kaṃsāsāri', 'LGGGGGL'),
    ('methikā', 'GLGLLGL'),
    # ('paṅktiḥ', 'GLLGG'),  # paṅkti in VR
    ('hemamihikā', 'GLLLGLLGLGLLGL'),
    ('śuddhāntam', 'LLLLLLLLGGGG'),
    ('vilāsavāpī', ['GGLLGLGLGG', 'LLGGLLGLGLGLGG']),
    ('navanīlatā', ['LLGLLGLGLG', 'LLGGLLLGLGLG']),
    ('upalekhā', 'LLGGLLLLLGLG'),
    ('kālasāroddhataḥ', 'LGLGGLLGLLLGLGGLG'),
    ('carapadam', 'LLLGGLGGLG'),
    ('maṇimukhī', 'LLLGLGL'),
    ('śilā', 'LGLLG'),
    # ('ṛṣabhagajavilasitam', 'GLLGLGLLLLLLLLLG'),  # ṛṣabhagajavilasita in VR
    ('puṣṭidā', ['GGLGGLLGLGLG', 'GGLGGLLGLGLG',
                 'LGLGGLLGLGLG', 'GGLGGLLGLGLG']),
    ('sukhelā', 'LLGLGLGLGG'),
    ('añcitāgrā', ['LLLLGLLGLGLGG', 'LLLLLLGLGLGG']),
    ('virahavirahasyam', 'GGGLLLLLLGGLLGGLLLLLLLLGG'),
    # ('meghavisphūrjitā', 'LGGGGGLLLLLGGLGGLGG'),  # meghavisphurjita in VR
    ('kākiṇikā', 'LGLLGLGLLLGLLG'),
    ('hariṇaplutam', 'GGGLLGLGLLGLGLLGLG'),
    ('kandavinodaḥ', 'GLLGGGLLGGG'),
    ('māṇavikāvikāṣaḥ', 'GGLGLLGLLGLGG'),
    # ('vasantatilakā', 'GGLGLLLGLLGLGG'),  # in curated
    ('śarāvatī', ['LLLLLLGLGLGG', 'LLGGLLLLLLGLGLG']),
    ('krīḍitakaṭakā', 'GLLLLGLLGGGGGGG'),
    # ('senikā', 'GLGLGLGLGLG'),  # śyenikā in VR
    ('surākṣī', 'LLLLGGLGGG'),
    ('kaṅkaṇakvāṇavāṇī', 'GGGGLGGLGGLGGLGGLGGLGG'),
    ('varmitā', 'GLGLGLLGLG'),
    # ('śālinī', 'GGGGGLGGLGG'),  # in curated
    ('viyadvāṇī2', ['GGGLLGLGLGGG', 'LLGGLLGLGLGG']),  # different above
    ('kusumbhinī', 'LGLGLLLLGLGLGG'),
    ('baladhārī', 'LLGGLLLLGG'),
    ('pratīhāraḥ', 'GLGGLGGLGGLGGLGGL'),
    ('prapātaḥ', 'LGGLGGLGGLGGLG'),
    ('upahitacaṇḍī', 'LLGGLLLLGGG'),
    ('maṇimadhyam', 'GLLGGGLLG'),
    ('madhyādhārā', 'GGGGLLGGGG'),
    # ('tūṇakam', 'GLGLGLGLGLGLGLG'),  # Cārucāmaram in curated
    ('tanukilakiñcitam', 'GGGGGGGGGLLLLGLLLLGGLLGGGG'),
    ('acalaviratiḥ', 'LLLLLLLLLLLLLLLLLLLLLG'),
    ('vanitāvinodi', 'LLLGLLGLGL'),
    ('dhavalam', 'LLLLLLLLLLLLLLLLLLG'),
    ('paripoṣakam', 'LLGLLGLLGLLGLLGLLG'),
    ('nīlā', 'GGLLLLGLGLG'),
    ('khaurali', 'LLLLGGGGLL'),
    ]
